
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MySQL安装与python下的MySQLdb使用 / iVAN</title>

    <meta name="description" content="MySQL安装与python下的MySQLdb使用 为什么选择 用MySQL,因为 MySQL小巧玲珑,且性能强大. 不论容量的话,相比其他两个(sql server .oracle)动则几个G,几十个G的大软件安装在电脑上,要想用得顺畅,没有高配是不行的.另外,MySQL虽易用,但想要与python交互操作,一般会想到&quot;pip install  MySQL-python&quot;,结果经常爆出一堆错误提示,网上搜离线包安装教程还不能解决的了...折腾过的童鞋知道有多头疼-_-!! 本文分三大块: (1)MySQL安装: (2)MyS ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">MySQL安装与python下的MySQLdb使用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>为什么选择 用MySQL，因为 MySQL小巧玲珑，且性能强大。 不论容量的话，相比其他两个（sql server 、oracle）动则几个G，几十个G的大软件安装在电脑上，要想用得顺畅，没有高配是不行的。另外，MySQL虽易用，但想要与python交互操作，一般会想到“pip install  MySQL-python”,结果经常爆出一堆错误提示，网上搜离线包安装教程还不能解决的了。。。折腾过的童鞋知道有多头疼-_-!！</p>
<p>本文分三大块：</p>
<p>（1）MySQL安装；</p>
<p>（2）MySQL图形化界面工具的安装与使用；</p>
<p>（3）mysqdb库安装与使用。</p>
<p>笔者亲测这三大块下文的安装步骤，最终能均能使用。（其间踩了n多坑。。??z）</p>
<p>一、MySQL下载安装、配置与使用</p>
<p>软件下载：</p>
<p>http://dev.mysql.com/downloads/mysql/5.6.html</p>
<p>这里用的是 ZIP Archive 版的，win7 64位的机器支持这个，所以我建议都用这个。因为这个简单嘛，而且还干净。</p>
<p>拉倒最下面，看清楚了64bit ZIP Archive ，点击Download。</p>
<p>笔者已经下好了，文章末尾有获取方式。需要注意的是，推荐下载5.6版，官网容易找到5.7版，但这个版本安装包解压之后少了个data文件夹，导致安装好后mysql的服务开启不了。。。还需要这个去找文件配置！！</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9pbWFnZTU3YmFhNjI2ZjA3YWE2Ljk3MzU1ODQ2LmpwZw==.jpg"></p>
<p>ZIP Archive版是免安装的。只要解压就行了。和安装版的没什么不同，但就是不需要安装。找到下载好的mysql-x.x.xx-winx64.zip右键选择（解压到...），找到你想安装的地方，喜欢放C:盘的就选择C:盘，不喜欢的就自己选个就是了，这里放D：盘，毕竟c:系统盘放的东西太多不好。解压完就ok了。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9pbWFnZTU3YmFhNjNkYTA1ZWMxLjYxNjAxOTk4LmpwZw==.jpg"><br /> MySQL安装好了，下一步讲 MySQL GUI Tools 安装与使用。</p>
<p>另外推荐python数据分析环境Anaconda+pycharm组合， Anaconda 已经内涵了许多数据分析用到的包，比如Numpy , Scipy ， matplotlib等等，cmd进入命令行控制台，输入 conda list 来看一下所有安装时自带的Python包，输入pip install 包名  安装自己另外需要的其他包。 pycharm则带有代码自动提示功能，提供编码速度</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-27 21:45:35</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>MySQL安装与python下的MySQLdb使用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd08qdp.html" rel="bookmark">python下用mysqldb连接使用数据库示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一步:连接 import MySQLdb #首先需要引入mysqldb即Python 连接 MySQL 的模块. conn=MySQLdb.connect(host=&quot;localhost&quot;,user=&quot;root&quot;,passwd=&quot;&quot;)#此处等价于缺省值时即conn=MySQLdb.connect() cur = conn.cursor() #创建游标,用于发送sql指令这样就可以用游标cur发送sql指令给mysql了. 第二步:操作 1.创建			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKrrOb.html" rel="bookmark">Windows下MySQL安装配置方法图文教程&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Windows下的安装与配置MySQL详细步骤思路,分享给大家,供大家参考,具体内容如下 本文介绍Windows XP下的安装与配置. 要想在Windows中运行MySQL,需要: Ø 32位Windows操作系统,例如9x.Me.NT.2000.XP或Windows Server 2003. 基于Windows NT的操作系统(NT,2000,XP,2003),将MySQL服务器做为服务来运行.强烈建议使用基于Windows NT的操作系统. Ø TCP/IP协议支持(也许是所有数据库系统的基			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QWWmp.html" rel="bookmark">Linux下MySQL安装配置 MySQL配置参数详解&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.下载编译安装 #cd /usr/local/src/ #wget http://mysql.byungsoo.net/Downloads/MySQL-5.1/mysql-5.1.38.tar.gz #tar –xzvf mysql-5.1.38.tar.gz ../software/ #./configure --prefix=/usr/local/mysql //MySQL安装目录 --datadir=/mydata //数据库存放目录 --with-charset=utf8 //使用UT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7YrQb.html" rel="bookmark">Python下的Mysql模块MySQLdb安装详解&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				默认情况下,MySQLdb包是没有安装的,不信? 看到类似下面的代码你就信了. 复制代码 代码如下: -bash-3.2# /usr/local/python2.7.3/bin/python get_cnblogs_news.py Traceback (most recent call last):  File &quot;get_cnblogs_news.py&quot;, line 9, in &lt;module&gt;    import MySQLdbImportError: No module			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AvqBp.html" rel="bookmark">python下MySQLdb用法实例分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文实例讲述了python下MySQLdb用法.分享给大家供大家参考.具体分析如下: 下载安装MySQLdb ① linux版本 http://sourceforge.net/projects/mysql-python/ 下载,在安装是要先安装setuptools,然后在下载文件目录下,修改mysite.cfg,指定本地mysql的mysql-config文件的路径 ② windows版本 网上搜索到一个http://www.technicalbard.com/files/MySQL-pyt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0P2ZnM.html" rel="bookmark">Windows下对MySQL安装的故障诊断与排除</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首次安装.运行MySQL时,你可能会遇到一些错误,使MySQL服务器不能启动.本节的目的是帮助你诊断并纠正这些错误. 解决服务器问题时你的第一资料是错误日志.MySQL服务器使用错误日志来记录服务器不能启动的信息.错误日志位于my.ini文件指定的数据目录中.默认数据目录位于C:\Program Files\MySQL\MySQL Server 5.1\dat. 另一个错误相关信息源是MySQL服务启动时控制台上显示的消息.将mysqld安装为服务后,从命令行通过NET START mysql命			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQAj6z.html" rel="bookmark">CentOS下MySQL安装后配置和设置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CentOS下MySQL安装后配置和设置: 1:安装完成路径: 1.数据库目录 /var/lib/mysql/ 2.配置文件 /usr/share/mysql(mysql.server命令及配置文件) 3.启动脚本 /etc/rc.d/init.d/(启动脚本文件mysql的目录) 4.相关命令 /usr/bin(mysqladmin mysqldump等命令) 注:1~3安装server安装后存在,4mysqladmin mysqldump在client安装后存在 查看数据库版本: ﻿﻿﻿﻿m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBaa1b.html" rel="bookmark">MAC下mysql安装配置方法图文教程&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.下载MySQL     访问MySQL的官网http://www.mysql.com/downloads/ 然后在页面中会看到&quot;MySQL Community Server&quot;下方有一个&quot;download&quot;点击. 进入MySQL的下载界面(http://www.mysql.com/downloads/mysql/),如果你是用的Mac OS来访问的话那么就会默认为你选好了Mac OS X 平台,而下面罗列的都是在Mac OS上能用的MySQL的版本,如果是用的其他			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ZmWAz.html" rel="bookmark">linux下讲解MySQL安装与登录方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Fedora5下配置MySQL (很有参考价值的 MySQL资料 包括如何在linux文件系统移动MySQL数据库的位置) 一.下载MySQL安装文件 完全安装MySQL需要下面6个文件: MySQL-server-community-5.1.26-0.rhel4.i386.rpm MySQL-client-community-5.1.26-0.rhel4.i386.rpm MySQL-shared-community-5.1.26-0.rhel4.i386.rpm MySQL-devel-co			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQyJQb.html" rel="bookmark" class="title">从网页上下载控件时制作CAB包的方法</a>
					<div>
						控件|网页|下载|下载控件 Internet 软件分发单位是&quot;软件包&quot;,它由包含 .inf 文件或软件分发 (.osd) 文件(或两者都包括)的 CAB 文件 (.cab) 所组成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPDlmp.html" rel="bookmark" class="title">网页浮动图片代码</a>
					<div>
						&lt;div id=&quot;flash&quot;&gt; &lt;script type=&quot;text/javascript&quot;&gt; var widths = 865; / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKOKZM.html" rel="bookmark" class="title">CSLA&period;Net在Web项目中使用SQL2005的分页</a>
					<div>
						正用CSLA.NET做一个Web的项目, 发现CSLA的模型在开发Web时, 不是很适合中国国情. 他的一系列模版, 都是基于主从表单的考虑, 比如&quot;采购单&quot;, 这样有单头, 有明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrOn5p.html" rel="bookmark" class="title">Oracle的分区表和聚簇表</a>
					<div>
						在什么情况下使用聚簇表?是否对比过分区表和聚簇表的性能? 1.所谓聚簇就是指以某个列为基准,把拥有相同聚簇键值的所有行都存储在相同位置上的物理储储方法.把多个表中拥有相同聚簇值的行集中存储在连续位置上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RO6ap.html" rel="bookmark" class="title">ASP&period;NET抓取网页内容的实现方法</a>
					<div>
						 这篇文章主要介绍了ASP.NET抓取网页内容的实现方法,涉及使用HttpWebRequest及WebResponse抓取网页内容的技巧,需要的朋友可以参考下     本文实例讲述了ASP.NET抓取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRPADz.html" rel="bookmark" class="title">Dreamweaver 8 制作漂亮的Flash像册</a>
					<div>
						在网络中经常可以见到一些类似 Flash 的电子相册,方便又专业. 利用Dreamweaver的 Flash 元素功能,人性化的操作界面使大家可以十分轻松地制作出电子相册. 说明:事先准备好5副大小同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91levM.html" rel="bookmark" class="title">Python计算三角函数之acos&lpar;&rpar;方法的使用</a>
					<div>
						 这篇文章主要介绍了用Python计算三角函数之acos()方法的使用,是Python学习中的基础知识,需要的朋友可以参考下     acos()方法返回x的反余弦值,以弧度表示. 语法 以下是aco ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6G46b.html" rel="bookmark" class="title">浏览器收藏栏不见了怎么办及解决方法</a>
					<div>
						浏览器收藏栏不见了怎么办?我们在使用浏览器过程中看到好的网站或者网页就会收藏起来并在浏览器收藏栏显示,但大家有没有遇到浏览器收藏栏不显示的情况.下文分享浏览器收藏栏不见了解决方法,一起和小编来看看吧! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYW6vb.html" rel="bookmark" class="title">巧用photoshop绘制变化多样的云彩场景</a>
					<div>
						  巧用photoshop绘制变化多样的云彩场景,云彩一直是设计师最喜欢的素材,总整了动漫及实物云的绘制,全面到位,简单粗暴,相当实用,有兴趣的可以试试看 分类: PS入门教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7j1Np.html" rel="bookmark" class="title">求spring security3&period;1&period;0例子源码或是自己写的例子</a>
					<div>
						问题描述 要求是数据库校验,最好关于rbac权限方面的可以U给我QQ350509950 解决方案 解决方案二:strutshibernateSpringSecurity学习里面讲的很详细解决方案三:这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrJDAM.html" rel="bookmark" class="title">hdu 2795 Billboard</a>
					<div>
						hdu 2795 的传送门–&gt; Problem Description At the entrance to the university, there is a huge rectangula ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Qo2mp.html" rel="bookmark" class="title">麻烦不断的国外科技公司排行榜：苹果惨上榜</a>
					<div>
						最近一段时间,都有哪些科技公司麻烦不断?在下面这个榜单中,看看有没有你想到的那个? 第一名:雅虎干啥啥不成 雅虎也是一家蛮神奇的公司,它算是互联网公司中的元老级公司了,在门户时代,雅虎很威风,然而在互 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP3eAp.html" rel="bookmark" class="title">阿里大规模计算平台的自动化、精细化运维之路</a>
					<div>
						本文转载于:高效运维公众号 作者:范伦挺 作者简介: 范伦挺,阿里巴巴 基础架构事业群-技术专家.花名萧一,2010年加入阿里巴巴,现任阿里巴巴集团大数据计算平台运维负责人.团队主要负责阿里巴巴各类离 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEjlwp.html" rel="bookmark" class="title">未绑定元素&OpenCurlyDoubleQuote;mx&colon;Panel&rdquo;的前缀&OpenCurlyDoubleQuote;mx&rdquo;</a>
					<div>
						描述 资源 路径 位置 类型 未绑定元素&quot;mx:Panel&quot;的前缀&quot;mx&quot;. HelloWorld.mxml /HelloWorld/src 第 23 行 Fl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94ErVb.html" rel="bookmark" class="title">oracle-PLSQL Developer无法保存版面</a>
					<div>
						问题描述 PLSQL Developer无法保存版面 编辑区版面无法保存,我想要一打开PL/sql就自动新建一个空白SQL Window. 我以前是可以保存的,现在保存版面无法保存编辑区.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZmZBz.html" rel="bookmark" class="title">CentOS 6&period;3下给PHP添加mssql扩展模块教程&lowbar;linux shell</a>
					<div>
						如果在LINUX系统上需要使用PHP连接Microsoft SQL Server 2005数据库,我们常见的连接数据库方式是使用ODBC方式连接. FreeTDS为Linux系统提供了TDS协议的开源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB9N0b.html" rel="bookmark" class="title">用jQuery打造TabPanel效果代码&lowbar;jquery</a>
					<div>
						如大量信息查看,当网页多窗口框架等都会用到,现在网上基于jquery Tab控件,其实也蛮多了,我以前用过的idtabs,就比较简单实用,也是比较灵活,但是对于复杂情况就要编码多些,太简单了些.还有就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn78NM.html" rel="bookmark" class="title">如何进行小号带动公帐号的推广</a>
					<div>
						对于中小型企业来说重视微信营销的确立是眼下最现实的问题,尽管腾讯的一直强调微信的主要作用是沟通和交流工具,但是微信商业化的发展已经成为定势.从事微信营销的企业需要做好眼前开展中的工作,以销售型微信策略 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDn46vM.html" rel="bookmark" class="title">重装系统-关于AMD A8-6410处理器是否可以完美运行32位系统的问题</a>
					<div>
						问题描述 关于AMD A8-6410处理器是否可以完美运行32位系统的问题 我的电脑预装的是win8.1 64位 特定国家版,但是系统本身太吃性能了,什么都不做系统本身就要干掉35%到45%的内存空间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7wNmb.html" rel="bookmark" class="title">Goccia是一款比Misfit shine更惊艳的产品</a>
					<div>
						不单是我们一家认可新硬件和可穿戴的未来,错过了移动手机浪潮的Intel也把重心放在这步棋上.近两年里,Intel在新硬件领域动作频繁,芯片端有Atom.Quark和Edison等低功耗芯片,图像识别方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn84qZb.html" rel="bookmark" class="title">Python自动化测试Eclipse&plus;Pydev 搭建开发环境&lowbar;python</a>
					<div>
						Python自动化测试 Eclipse+Pydev 搭建开发环境 C#之所以容易让人感兴趣,是因为安装完Visual Studio, 就可以很简单的直接写程序了,不需要做如何配置. 对新手来说,这是非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N6o8z.html" rel="bookmark" class="title">java算法实现预测双色球中奖号码&lowbar;java</a>
					<div>
						双色球选号规则红球是1~33选6个,蓝球1~16选1个. 它有17721088种排列组合, 这个代码实现了如何将一组双色球号码 转换成第n个排列组合数字, 以及如何根据第n个排列组合数字生成一组双色球 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkPJvp.html" rel="bookmark" class="title">jQuery插件实现带圆点的焦点图片轮播切换&lowbar;jquery</a>
					<div>
						这次分享的代码是jQuery插件,HovertreeImg是一个图片轮播jquery插件,使用方便,可以设置大小,圆点位置等,代码简洁 &lt;!DOCTYPE html&gt; &lt;html&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYLwWb.html" rel="bookmark" class="title">Python提取网页中超链接的方法&lowbar;python</a>
					<div>
						下面是最简单的实现方法,先将目标网页抓回来,然后通过正则匹配a标签中的href属性来获得超链接 代码如下: import urllib2 import re url = 'http://www.sun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8N8P9b.html" rel="bookmark" class="title">谁读过&amp;amp&semi;amp&semi;lt&semi;c&num;和&period;NET3&period;0第一步&amp;amp&semi;amp&semi;gt&semi;&comma;有什么问题。</a>
					<div>
						问题描述 第一章进入Microsoft.NET世界151.1Microsoft.NET的理念151.1.1VisualStudio.NET的历史和延承151.1.2.NETFramework组件161 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNPn9p.html" rel="bookmark" class="title">combobox怎么处理日期格式？</a>
					<div>
						问题描述 {xtype:'combo',id:'newproject_contractDate',readOnly:true,name:'contractDate',fieldLabel:'合同日期' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJ7VAM.html" rel="bookmark" class="title">郭台铭下个目标：做3C通路王</a>
					<div>
						鸿海集团董事长老郭总是语出惊人,近日他放出话来,预计两至三年内在中国大陆投资百亿台币,打造一万家以上的3C及家电渠道连锁店.如果这个目标实现,鸿海无疑将取代国美和苏宁,成为大陆3C行业的&quot;通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJLGZM.html" rel="bookmark" class="title">《交互式程序设计 第2版》一第1章 交互设计导论</a>
					<div>
						第1章 交互设计导论语义学家.哲学家阿尔弗莱德·科日布斯基(Alfred Korzybski)曾说过:&quot;地图并不是领地本身.&quot;本书也遵循这一观点.地图虽然不等同于领地,但却能帮助你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wqAdz.html" rel="bookmark" class="title">静态-求解输出？？并解析～谢谢。</a>
					<div>
						问题描述 求解输出??并解析-谢谢. static { int x =5; } static int x,y; public static void main(String[] args) { x-- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWxdKp.html" rel="bookmark" class="title">Ubuntu 14安装搜狗输入法</a>
					<div>
						转载请注明来自:http://blog.csdn.net/wsscy2004 搜狗是我用过的输入法里面比较好用的,听说出了linux版本,使用了一下还不错,以下是过程: 一. 下载包 64位系统Ubu ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
